=== debian/control ===
Source: ruby-activerecord-2.3
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
	       gem2deb (>= 0.3.0~),
	       ruby-activesupport-2.3 (>= 2.3.14),
	       ruby-activesupport-2.3 (<< 2.3.14.1)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-activerecord-2.3.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-activerecord-2.3.git
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all

Package: ruby-activerecord-2.3
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-activesupport-2.3 (>= 2.3.14),
	 ruby-activesupport-2.3 (<< 2.3.14.1)
Replaces: libactiverecord-ruby (<< 2.3.11-1~),
	  libactiverecord-ruby1.8 (<< 2.3.11-1~),
	  libactiverecord-ruby1.9.1 (<< 2.3.11-1~)
Breaks: libactiverecord-ruby (<< 2.3.11-1~),
	libactiverecord-ruby1.8 (<< 2.3.11-1~),
	libactiverecord-ruby1.9.1 (<< 2.3.11-1~)
Provides: libactiverecord-ruby,
	  libactiverecord-ruby1.8,
	  libactiverecord-ruby1.9.1
Description: ORD database interface for ruby
 Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM.  It ties
 database tables and classes together for business objects, like
 Customer or Subscription, that can find, save, and destroy themselves
 without resorting to manual SQL.
